GET /data/v1/monitoring/metrics/{MONITORING_METRIC_ID}/breakdown

mux.com

Summary: Get Monitoring Breakdown
Operation ID: get-monitoring-breakdown
Auth: unknown
Description

Gets breakdown information for a specific dimension and metric along with the number of concurrent viewers and negative impact score.

Parameters (6)

MONITORING_METRIC_ID (string, path, required)

ID of the Monitoring Metric

Constraints: {'enum': ['current-concurrent-viewers', 'current-rebuffering-percentage', 'exits-before-video-start', 'playback-failure-percentage', 'current-average-bitrate', 'video-startup-failure-percentage']}

dimension (string, query, optional)

Dimension the specified value belongs to

Constraints: {'enum': ['asn', 'cdn', 'country', 'operating_system', 'player_name', 'region', 'stream_type', 'sub_property_id', 'video_series', 'video_title', 'view_has_ad']}

filters[] (array, query, optional)

Limit the results to rows that match conditions from provided key:value pairs. Must be provided as an array query string parameter. To exclude rows that match a certain condition, prepend a `!` character to the dimension. Possible filter names are the same as returned by the List Monitoring Dimensions endpoint. Example: * `filters[]=operating_system:windows&filters[]=!country:US`

order_by (string, query, optional)

Value to order the results by

Constraints: {'enum': ['negative_impact', 'value', 'views', 'field']}

order_direction (string, query, optional)

Sort order.

Constraints: {'enum': ['asc', 'desc']}

timestamp (integer, query, optional)

Timestamp to limit results by. This value must be provided as a unix timestamp. Defaults to the current unix timestamp.

No probe data for this endpoint yet.